## dh-python 3.20180325ubuntu2~cloud1

=== debian/changelog ===
dh-python (3.20180325ubuntu2~cloud1) xenial-queens; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Tue, 27 Mar 2018 17:27:10 +0000

dh-python (3.20180325ubuntu2) bionic; urgency=medium

  * Fix typo and really depend on python3-distutils

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 26 Mar 2018 15:42:23 -0400

dh-python (3.20180325ubuntu1) bionic; urgency=medium

  * Make python3-distutils a dependency, not just a recommendation.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 26 Mar 2018 19:14:03 +0800

dh-python (3.20180325) unstable; urgency=medium

  * pybuild: fix cross compiling stuff to use dpkg-architecture if available
    (and move dpkg-dev to Suggests)
  * Add python3-distuils to Recommends to make the transition easier

 -- Piotr Ożarowski <piotr@debian.org>  Sun, 25 Mar 2018 22:52:36 +0200

dh-python (3.20180318) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field
  * d/changelog: Remove trailing whitespaces

  [ Ben Finney ]
  * Ignore leading and trailing whitespace from ‘pydist’ lines when parsing
    (closes: 860139)

  [ Piotr Ożarowski ]
  * pybuild.pm: add support for DEBPYTHON{3,}_{DEFAULT,SUPPORTED} env. vars
    (closes: 861132)
  * pybuild:
    - support cross compiling Python 3.X extensions (i.e. set
      _PYTHON_SYSCONFIGDATA_NAME env. and add dpkg-dev to Depends
      closes: 892931)
  * Standards-Version is 4.1.3 now (no changes needed)

 -- Piotr Ożarowski <piotr@debian.org>  Sun, 18 Mar 2018 19:52:49 +0100

dh-python (3.20180313) unstable; urgency=medium

  [ Ondřej Nový ]
  * When depends on python{3,}-pbr, set PBR_VERSION to upstream version

  [ Dirk Thomas ]
  * Use relative install-scripts path in pybuild's distutils build system

  [ Piotr Ożarowski ]
  * dh_python2: rewrite /usr/bin/python shebangs to /usr/bin/python2
  * pybuild:
    * copy files listed in debian/pybuild.testfiles to build directory before
      test step and remove them before install step
    * improve support for building multiple (Python) distributions at once
      (PYBUILD_NAME=foo dh $@ -Spybuild --sourcedirectory=dir1;
       PYBUILD_NAME=bar dh $@ -Spybuild --sourcedirectory=dir2)
    * add --print option to print pybuild's internal parameters
      (example: `pybuild --print build_dir --interpreter python3`)
    * add --ext-sub-pattern and --ext-sub-repl options (can be used f.e. to
      move some files from dist-packages to private directory)
    * if --name contains underscore, replace it with dash in suggested package
      names
    * try a bit harder to guess (if not explicitly requested) interpreter
      versions to build for, especially if versioned interpreter was requested

    WARNING: pybuild's internal dir names were changed, use --print if you
    really have to use these paths in debian/rules

 -- Piotr Ożarowski <piotr@debian.org>  Tue, 13 Mar 2018 23:09:42 +0100

=== debian/control ===
Source: dh-python
Section: python
Priority: optional
Maintainer: Piotr Ożarowski <piotr@debian.org>
Uploaders: Stefano Rivera <stefanor@debian.org>, Barry Warsaw <barry@debian.org>
Build-Depends: debhelper (>= 9), python3-minimal, libpython3-stdlib, libdpkg-perl,
# provides rst2man command (python3-docutils not used to avoid circular deps):
 python-docutils,
# used by tests: (disabled to avoid circular deps with python3)
# python3-nose,
# python3-all, python3-all-dbg, python3-all-dev,
# python-all, python-all-dbg, python-all-dev
Standards-Version: 4.1.3
Vcs-Git: https://salsa.debian.org/python-team/tools/dh-python
Vcs-Browser: https://salsa.debian.org/python-team/tools/dh-python.git
X-Python3-Version: >= 3.2

Package: dh-python
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${python3:Depends}
Suggests: libdpkg-perl, dpkg-dev
Breaks:
# due to /usr/bin/dh_python3 and debhelper files
 python3 (<< 3.3.2-4~)
Replaces: python3 (<< 3.3.2-4~)
Description: Debian helper tools for packaging Python libraries and applications
 This package contains:
  * pybuild - invokes various build systems for requested Python versions in
    order to build modules and extensions
  * dh_python2 - calculates Python 2.X dependencies for Debian packages,
    adds maintainer scripts to byte compile files, etc.
  * dh_python3 - calculates Python 3.X dependencies for Debian packages,
    adds maintainer scripts to byte compile files, etc.
  * dh_pypy - calculates PyPy dependencies for Debian packages,
    adds maintainer scripts to byte compile files, etc.

## dh-python 3.20180325ubuntu2

=== Makefile ===
#!/usr/bin/make -f
INSTALL ?= install
PREFIX ?= /usr/local
MANPAGES ?= pybuild.1 dh_pypy.1 dh_python2.1 dh_python3.1
DVERSION=$(shell dpkg-parsechangelog | sed -rne 's,^Version: (.+),\1,p' || echo 'DEVEL')
VERSION=$(shell dpkg-parsechangelog | sed -rne 's,^Version: ([^-]+).*,\1,p' || echo 'DEVEL')

clean:
	make -C tests clean
	make -C pydist clean
	find . -name '*.py[co]' -delete
	find . -name __pycache__ -type d | xargs rm -rf
	rm -f .coverage $(MANPAGES)

dist:
	git archive --format=tar --prefix=dh-python-$(VERSION)/ HEAD \
	| xz -9 -c >../dh-python_$(VERSION).orig.tar.xz

install:
	$(INSTALL) -m 755 -d $(DESTDIR)$(PREFIX)/bin \
		$(DESTDIR)$(PREFIX)/share/debhelper/autoscripts/ \
		$(DESTDIR)$(PREFIX)/share/perl5/Debian/Debhelper/Sequence/ \
		$(DESTDIR)$(PREFIX)/share/perl5/Debian/Debhelper/Buildsystem/ \
		$(DESTDIR)$(PREFIX)/share/dh-python/dhpython/build \
		$(DESTDIR)$(PREFIX)/share/dh-python/dist
	$(INSTALL) -m 644 pydist/*_fallback $(DESTDIR)$(PREFIX)/share/dh-python/dist/
	$(INSTALL) -m 644 dhpython/*.py $(DESTDIR)$(PREFIX)/share/dh-python/dhpython/
	$(INSTALL) -m 644 dhpython/build/*.py $(DESTDIR)$(PREFIX)/share/dh-python/dhpython/build/
	$(INSTALL) -m 755 pybuild $(DESTDIR)$(PREFIX)/share/dh-python/
	$(INSTALL) -m 755 dh_pypy $(DESTDIR)$(PREFIX)/share/dh-python/
	$(INSTALL) -m 755 dh_python2 $(DESTDIR)$(PREFIX)/share/dh-python/
	$(INSTALL) -m 755 dh_python3 $(DESTDIR)$(PREFIX)/share/dh-python/
	sed -i -e 's/DEVELV/$(DVERSION)/' $(DESTDIR)$(PREFIX)/share/dh-python/pybuild
	sed -i -e 's/DEVELV/$(DVERSION)/' $(DESTDIR)$(PREFIX)/share/dh-python/dh_pypy
	sed -i -e 's/DEVELV/$(DVERSION)/' $(DESTDIR)$(PREFIX)/share/dh-python/dh_python2
	sed -i -e 's/DEVELV/$(DVERSION)/' $(DESTDIR)$(PREFIX)/share/dh-python/dh_python3
	
	$(INSTALL) -m 644 dh/pybuild.pm $(DESTDIR)$(PREFIX)/share/perl5/Debian/Debhelper/Buildsystem/
	$(INSTALL) -m 644 dh/pypy.pm $(DESTDIR)$(PREFIX)/share/perl5/Debian/Debhelper/Sequence/
	$(INSTALL) -m 644 dh/python2.pm $(DESTDIR)$(PREFIX)/share/perl5/Debian/Debhelper/Sequence/
	$(INSTALL) -m 644 dh/python3.pm $(DESTDIR)$(PREFIX)/share/perl5/Debian/Debhelper/Sequence/
	$(INSTALL) -m 644 autoscripts/* $(DESTDIR)$(PREFIX)/share/debhelper/autoscripts/

%.1: %.rst
	rst2man $< > $@

%.htm: %.rst
	rst2html $< > $@

manpages: $(MANPAGES)

dist_fallback:
	make -C pydist $@

# TESTS
nose:
	#nosetests3 --verbose --with-doctest --with-coverage
	nosetests3 --verbose --with-doctest

tests: nose
	make -C tests

test%:
	make -C tests $@

.PHONY: clean tests test% check_versions

=== pydist/Makefile ===
#!/usr/bin/make -f

FALLBACK_FLAGS = $(shell dpkg-vendor --is ubuntu && echo '--ubuntu')

clean:
	rm -rf cache
	#rm -f dist_fallback
	rm -f README.PyDist.html

dist_fallback:
	python3 ./generate_fallback_list.py $(FALLBACK_FLAGS)

README.PyDist.html: README.PyDist
	rst2html $< $@

.PHONY: clean

=== tests/Makefile ===
#!/usr/bin/make -f

# hardcode default/supported Python versions to make tests more reliable
# Note that all these packages have to be installed during tests
export DEBPYTHON_DEFAULT=2.7
export DEBPYTHON_SUPPORTED=2.7
export DEBPYTHON3_DEFAULT=3.6
export DEBPYTHON3_SUPPORTED=3.4,3.5,3.6

# enable or disable tests here:
TESTS := test101 test201 test202 test203 test204 test205 test206 test207 test301 test302 test303 test304

all: $(TESTS)

test%:
	make -C t$* run
	make -C t$* check

clean-test%:
	make -C t$* clean

clean: $(TESTS:%=clean-%)
	rm -f *\.dsc *\.tar\.gz *\.build *\.changes *\.deb *\.buildinfo
	@find . -prune -name '*.egg-info' -exec rm -rf '{}' ';' || true

.PHONY: clean

=== debian/control ===
--- 
+++ 
@@ -18,7 +18,7 @@
 Package: dh-python
 Architecture: all
 Multi-Arch: foreign
-Depends: ${misc:Depends}, ${python3:Depends}
+Depends: ${misc:Depends}, ${python3:Depends}, python3-distutils
 Suggests: libdpkg-perl, dpkg-dev
 Breaks:
 # due to /usr/bin/dh_python3 and debhelper files

=== tests/t101/debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_install:
	dh_install
	DH_VERBOSE=1 ../../dh_pypy

override_dh_auto_build:
override_dh_auto_test:

override_dh_auto_install:
	mkdir -p debian/pypy-foo/usr/lib/pypy/site-packages/__pycache__
	echo "print('foo')" > debian/pypy-foo/usr/lib/pypy/site-packages/foo.py
	touch debian/pypy-foo/usr/lib/pypy/site-packages/__pycache__/foo.pypy-20.pyc

override_dh_auto_clean:

=== tests/t202/debian/rules ===
#!/usr/bin/make -f
%:
	dh $@ --buildsystem=python_distutils

override_dh_pysupport:

override_dh_install:
	dh_install
	DH_VERBOSE=1 ../../dh_python2

clean:
	dh_clean

=== tests/t203/debian/rules ===
#!/usr/bin/make -f
DPY=$(DEBPYTHON_DEFAULT)
ifeq (,$(wildcard /usr/bin/python2.6))
	# /usr/bin/python2.6 is not available, test 2.7 only
export DEBPYTHON_SUPPORTED=2.7
endif
%:
	dh $@ --buildsystem=python_distutils

override_dh_pysupport:

override_dh_install:
	dh_install
	# install also as private extension
	dh_install debian/python-foo/usr/lib/python${DPY}/dist-packages/foo/bar.so \
		/usr/lib/python-foo/
	# ... and under versioned name with a symlink
	cp debian/python-foo/usr/lib/python${DPY}/dist-packages/foo/bar.so \
	   debian/python-foo/usr/lib/python${DPY}/dist-packages/foo/spam.so.0
	dh_link /usr/lib/python${DPY}/dist-packages/foo/spam.so.0 \
		/usr/lib/python${DPY}/dist-packages/foo/spam.so
	# ... and with multiple symlinks
	cp debian/python-foo/usr/lib/python${DPY}/dist-packages/foo/bar.so \
	   debian/python-foo/usr/lib/python${DPY}/dist-packages/foo/baz.so.0.1.2
	dh_link /usr/lib/python${DPY}/dist-packages/foo/baz.so.0.1.2 \
		/usr/lib/python${DPY}/dist-packages/foo/baz.so.0.1
	dh_link /usr/lib/python${DPY}/dist-packages/foo/baz.so.0.1 \
		/usr/lib/python${DPY}/dist-packages/foo/baz.so
	# ... second style of multiple symlinks
	cp debian/python-foo/usr/lib/python${DPY}/dist-packages/foo/bar.so \
	   debian/python-foo/usr/lib/python${DPY}/dist-packages/foo/quux.so.0.0.0
	dh_link /usr/lib/python${DPY}/dist-packages/foo/quux.so.0.0.0 \
		/usr/lib/python${DPY}/dist-packages/foo/quux.so.0
	dh_link /usr/lib/python${DPY}/dist-packages/foo/quux.so.0.0.0 \
		/usr/lib/python${DPY}/dist-packages/foo/quux.so
	# ... and complex multiple symlinks
	DH_VERBOSE=1 DEB_HOST_MULTIARCH=my_multiarch-triplet ../../dh_python2

clean:
	dh_clean

=== tests/t302/debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem=python_distutils

override_dh_install:
	dh_install
	# install also as private extension
	dh_install debian/python3-foo/usr/local/lib/python3*/dist-packages/foo/bar*.so \
		/usr/lib/python3-foo/
	DH_VERBOSE=1 ../../dh_python3

comma:=,
empty:=
space:= $(empty) $(empty)
PYTHONS=$(subst $(comma),$(space),$(DEBPYTHON3_SUPPORTED))
override_dh_auto_build:
	for ver in $(PYTHONS); do\
	  python$$ver setup.py build; done

override_dh_auto_install:
	for ver in $(PYTHONS); do\
	  python$$ver setup.py install --root=debian/python3-foo;\
	done

override_dh_auto_clean:

=== tests/t204/debian/control ===
Source: foo
Section: misc
Priority: optional
Maintainer: Piotr Ożarowski <piotr@debian.org>
Build-Depends: debhelper (>= 7.0.50~)
Build-Depends-Indep: python
Standards-Version: 3.9.1

Package: foo
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}
Recommends: ${python:Recommends}
Suggests: ${python:Suggests}
Enhances: ${python:Enhances}
Description: example 4 - private directory
 exemple package #4 - private directory

=== tests/t301/debian/control ===
Source: foo
Section: python
Priority: optional
Maintainer: Piotr Ożarowski <piotr@debian.org>
Build-Depends: debhelper (>= 7.0.50~), python3-all
Standards-Version: 3.9.0
X-Python3-Version: >= 3.1, << 3.7

Package: python3-foo
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}
Recommends: ${python3:Recommends}
Suggests: ${python3:Suggests}
Enhances: ${python3:Enhances}
Breaks: ${python3:Breaks}
Provides: ${python3:Provides}
Description: foo to rule them all
 exemple package #1

=== tests/t304/debian/control ===
Source: foo
Section: misc
Priority: optional
Maintainer: Piotr Ożarowski <piotr@debian.org>
Build-Depends: debhelper (>= 7.0.50~)
Build-Depends-Indep: python3
Standards-Version: 3.9.3

Package: foo
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}
Description: example 4 - shebangs
 exemple package #4 - shebang related tests

## dh-python 3.20180723~bpo9+1~nd90+1

=== debian/changelog ===
dh-python (3.20180723~bpo9+1~nd90+1) stretch; urgency=medium

  * Backported for stretch.
  * Used following sed expression to modify debian/control: -e
    's/\(^Depends:\) */\1 neurodebian-popularity-contest, /g' -e
    's/^Maintainer:.*$/Maintainer: NeuroDebian Maintainers
    <team@neuro.debian.net>\nX-Original-&/'.

 -- NeuroDebian Maintainers <team@neuro.debian.net>  Tue, 21 Jul 2020 14:39:24 -0400

dh-python (3.20180723~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports
  * Update default and supported Python versions
  * Add some Stretch packages to fallback files

 -- Piotr Ożarowski <piotr@debian.org>  Tue, 25 Sep 2018 21:10:16 +0200

dh-python (3.20180723) unstable; urgency=medium

  * dh-python depends on python3-distutils (as most package that use dh-python
    would have to depend on it anyway, closes: 894203)
  * dh_python{2,3}:
    - fix \.so.* symlink renaming for non-default Python versions
      (closes: 739500, 903698)
    - when files cannot be shared between Python versions because of
      differences, print (in --verbose mode) a unified diff for diagnostic
      purposes (closes: 801710, thanks to Barry Warsaw for the original patch)

 -- Piotr Ożarowski <piotr@debian.org>  Mon, 23 Jul 2018 14:39:41 +0200

dh-python (3.20180607) experimental; urgency=medium

  [ Scott Kitterman ]
  * Stop setting minimum python and python3 versions since the minimum version
    is in all supported releases 

  [ Piotr Ożarowski ]
  * pybuild: set DEB_PYTHON_INSTALL_LAYOUT to "deb" if it's not set already

 -- Piotr Ożarowski <piotr@debian.org>  Thu, 07 Jun 2018 23:56:25 +0200

dh-python (3.20180326) unstable; urgency=medium

  * pybuild: fix cross compiling stuff to use dpkg-architecture if available
    (and move dpkg-dev to Suggests)
  * Add python3-distutils to Recommends to make the transition easier

 -- Piotr Ożarowski <piotr@debian.org>  Mon, 26 Mar 2018 21:19:20 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,9 @@
 Source: dh-python
 Section: python
 Priority: optional
-Maintainer: Piotr Ożarowski <piotr@debian.org>
-Uploaders: Stefano Rivera <stefanor@debian.org>, Barry Warsaw <barry@debian.org>
+Maintainer: NeuroDebian Maintainers <team@neuro.debian.net>
+X-Original-Maintainer: Piotr Ożarowski <piotr@debian.org>
+Uploaders: Stefano Rivera <stefanor@debian.org>
 Build-Depends: debhelper (>= 9), python3-minimal, libpython3-stdlib, libdpkg-perl,
 # provides rst2man command (python3-docutils not used to avoid circular deps):
  python-docutils,
@@ -11,14 +12,15 @@
 # python3-all, python3-all-dbg, python3-all-dev,
 # python-all, python-all-dbg, python-all-dev
 Standards-Version: 4.1.3
-Vcs-Git: https://salsa.debian.org/python-team/tools/dh-python
-Vcs-Browser: https://salsa.debian.org/python-team/tools/dh-python.git
-X-Python3-Version: >= 3.2
+Vcs-Git: https://salsa.debian.org/python-team/tools/dh-python.git
+Vcs-Browser: https://salsa.debian.org/python-team/tools/dh-python
 
 Package: dh-python
 Architecture: all
 Multi-Arch: foreign
-Depends: ${misc:Depends}, ${python3:Depends}, python3-distutils
+Depends: neurodebian-popularity-contest, ${misc:Depends}, ${python3:Depends},
+# depend on distutils to avoid adding it to Build-Depends in other packages
+ python3-distutils | python3 (<< 3.6.5~rc1-1)
 Suggests: libdpkg-perl, dpkg-dev
 Breaks:
 # due to /usr/bin/dh_python3 and debhelper files

## dh-python 3.20180723~bpo9+1

=== tests/Makefile ===
--- 
+++ 
@@ -4,7 +4,7 @@
 # Note that all these packages have to be installed during tests
 export DEBPYTHON_DEFAULT=2.7
 export DEBPYTHON_SUPPORTED=2.7
-export DEBPYTHON3_DEFAULT=3.6
+export DEBPYTHON3_DEFAULT=3.5
 export DEBPYTHON3_SUPPORTED=3.4,3.5,3.6
 
 # enable or disable tests here:

## dh-python 3.20180723

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: dh-python
 Section: python
 Priority: optional
-Maintainer: NeuroDebian Maintainers <team@neuro.debian.net>
-X-Original-Maintainer: Piotr Ożarowski <piotr@debian.org>
+Maintainer: Piotr Ożarowski <piotr@debian.org>
 Uploaders: Stefano Rivera <stefanor@debian.org>
 Build-Depends: debhelper (>= 9), python3-minimal, libpython3-stdlib, libdpkg-perl,
 # provides rst2man command (python3-docutils not used to avoid circular deps):
@@ -18,7 +17,7 @@
 Package: dh-python
 Architecture: all
 Multi-Arch: foreign
-Depends: neurodebian-popularity-contest, ${misc:Depends}, ${python3:Depends},
+Depends: ${misc:Depends}, ${python3:Depends},
 # depend on distutils to avoid adding it to Build-Depends in other packages
  python3-distutils | python3 (<< 3.6.5~rc1-1)
 Suggests: libdpkg-perl, dpkg-dev

## dh-python 3.20180927

=== debian/changelog ===
dh-python (3.20180927) unstable; urgency=medium

  [ Ondřej Nový ]
  * Enable verbose mode for nose to comply with Debian Policy 4.2.0

  [ Piotr Ożarowski ]
  * dh_python*:
    - remove .../dist-packages/.foo directories (.cache, .pytest_cache, etc.)
    - install debian/python{,3}-foo.bcep files into /usr/share/python{,3}/bcep/ 
  * dh_python3: generated postinst files will bytecompile for pypy3 if
    /usr/bin/pypy3compile is available (py3clean will remove pypy3 generated
    .pyc files so prerm doesn't require any changes).
    PyPy3 support is still a WIP so pypy3compile errors are ignored for now.

 -- Piotr Ożarowski <piotr@debian.org>  Thu, 27 Sep 2018 22:40:56 +0200

## dh-python 3.20190308~cloud0

=== debian/changelog ===
dh-python (3.20190308~cloud0) bionic-stein; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Mon, 18 Mar 2019 14:01:16 +0000

dh-python (3.20190308) unstable; urgency=medium

  * so2pyver: add a fallback to UTF-8 if locale.getdefaultlocale() returns None
    closes: 923990

 -- Piotr Ożarowski <piotr@debian.org>  Fri, 08 Mar 2019 08:23:50 +0100

dh-python (3.20190307) unstable; urgency=medium

  [ Antoine Beaupré ]
  * Ignore tilde version numbers which crash setuptools-scm (closes: 915408)

  [ Agustin Henze ]
  * Use current locale for encoding the output process while checking
    libpython's version extension file is linked to (closes: 901000, 912909)

    Thanks also to Zack Weinberg for different patch solving this issue
    in 912909!

  [ Helmut Grohne ]
  * pybuild:
    - make it easier to cross-build Python 2 extensions (closes: 901759)
    - use DEB_HOST_ARCH{,_OS} instead of DEB_TARGET_ARCH{,_OS} (closes: 912892)

    Thanks also to Dima Kogan for patches, including the one adding more
    debug info.

  [ Samuel Thibault ]
  * Fix handling broken symlinks while renaming extension files
    (closes: 903698).

  [ Nicolas Dandrimont ]
  * Support "Compatible release" version specifiers ("~=") in the requires
    parser (closes: 913338).

  [ Piotr Ożarowski ]
  * pybuild.pm: follow python3-tox → tox (unfortunate) rename
  * dh-python now provides dh-sequence-python3, dh-sequence-python2
    and dh-sequence-pypy packages (to be used in debhelper >= 12)
  * Update tests to use 3.7 as default/supported Python 3.X (closes: 914998)
  * dh_pypy: add namespace support: new options: --namespace, --ignore-namespace
    and parsing namespace_packages.txt by default (closes: 920899)
  * dh_python3: move files from /usr/include/python3.X/ to
    /usr/include/python3.Xm/ for Python 3.X >= 3.3 (closes: 923048)
  * Standards-Version is 4.3.0 now (no changes needed)

 -- Piotr Ożarowski <piotr@debian.org>  Thu, 07 Mar 2019 22:00:17 +0100

## dh-python 3.20190308

=== tests/Makefile ===
--- 
+++ 
@@ -4,8 +4,8 @@
 # Note that all these packages have to be installed during tests
 export DEBPYTHON_DEFAULT=2.7
 export DEBPYTHON_SUPPORTED=2.7
-export DEBPYTHON3_DEFAULT=3.5
-export DEBPYTHON3_SUPPORTED=3.4,3.5,3.6
+export DEBPYTHON3_DEFAULT=3.7
+export DEBPYTHON3_SUPPORTED=3.5,3.7
 
 # enable or disable tests here:
 TESTS := test101 test201 test202 test203 test204 test205 test206 test207 test301 test302 test303 test304

=== tests/t301/Makefile ===
#!/usr/bin/make -f
include ../common.mk

all: run check


run: clean
	dpkg-buildpackage -b -us -uc

check:
	grep -qe "Depends: .*python3\(:any\)\? (<< 3.7)" debian/python3-foo/DEBIAN/control
	grep -q "Recommends: .*python3-mako" debian/python3-foo/DEBIAN/control
	test -f debian/python3-foo/usr/lib/python3/dist-packages/foo/__init__.py
	test ! -f debian/python3-foo/usr/lib/python3/dist-packages/foo/spam.py

clean:
	./debian/rules clean
	rm -rf lib/Foo.egg-info

=== tests/t302/Makefile ===
#!/usr/bin/make -f
include ../common.mk

all: run check

run: clean
	dpkg-buildpackage -b -us -uc

check:
	grep -q "py3compile -p python3-foo /usr/lib/python3-foo"\
		debian/python3-foo/DEBIAN/postinst
	[ "`find debian/python3-foo/usr/lib/python3/dist-packages/foo -name 'bar.cpython-*.so'`" != "" ]
	# test if moved from include/python3.X/ to include/python3.Xm/
	test -f debian/python3-foo/usr/include/python$(DEBPYTHON3_DEFAULT)m/foo.h

clean:
	./debian/rules clean
	rm -rf lib/Foo.egg-info build

=== tests/t207/debian/changelog ===
foo (1.0) unstable; urgency=low

  * Initial release

 -- Piotr Ożarowski <piotr@debian.org>  Sun, 10 Jun 2012 14:09:45 +0200

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
 # python3-nose,
 # python3-all, python3-all-dbg, python3-all-dev,
 # python-all, python-all-dbg, python-all-dev
-Standards-Version: 4.1.3
+Standards-Version: 4.3.0
 Vcs-Git: https://salsa.debian.org/python-team/tools/dh-python.git
 Vcs-Browser: https://salsa.debian.org/python-team/tools/dh-python
 
@@ -20,6 +20,7 @@
 Depends: ${misc:Depends}, ${python3:Depends},
 # depend on distutils to avoid adding it to Build-Depends in other packages
  python3-distutils | python3 (<< 3.6.5~rc1-1)
+Provides: dh-sequence-python3, dh-sequence-pypy, dh-sequence-python2
 Suggests: libdpkg-perl, dpkg-dev
 Breaks:
 # due to /usr/bin/dh_python3 and debhelper files

=== debian/tests/control ===
Tests: dh-python
Depends: python-all-dev, python3-all-dev, python-all-dbg, python3-all-dbg, pypy,
         build-essential, fakeroot, debhelper, libjs-jquery

Tests: nosetests
Depends: python3-nose, python-all, python-all-dbg, python3-all, python3-all-dbg, pypy
Restrictions: allow-stderr

=== tests/t101/debian/control ===
Source: foo
Section: python
Priority: optional
Maintainer: Piotr Ożarowski <piotr@debian.org>
Build-Depends: debhelper (>= 7.0.50~)
# , dh-python
Standards-Version: 3.9.4

Package: pypy-foo
Architecture: all
Depends: ${pypy3:Depends}, ${shlibs:Depends}, ${misc:Depends}
Description: package with public PyPy modules
 exemple package #1

## dh-python 3.20190308mx17+1

=== debian/changelog ===
dh-python (3.20190308mx17+1) mx; urgency=medium

  * Rebuild for MX-17/18.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Thu, 03 Oct 2019 14:43:16 -0700

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: dh-python
 Section: python
 Priority: optional
-Maintainer: Piotr Ożarowski <piotr@debian.org>
+Maintainer: Mike Purtell <mmikeinsantarosa@mxlinux.org>
+XSBC-Original-Maintainer: Piotr Ożarowski <piotr@debian.org>
 Uploaders: Stefano Rivera <stefanor@debian.org>
 Build-Depends: debhelper (>= 9), python3-minimal, libpython3-stdlib, libdpkg-perl,
 # provides rst2man command (python3-docutils not used to avoid circular deps):

## dh-python 3.20190308+nmu1

=== debian/changelog ===
dh-python (3.20190308+nmu1) unstable; urgency=medium

  * Non-maintainer upload.
  * rebuild for mstrict-align

 -- root <root@loongson-pc>  Fri, 28 Jan 2022 11:18:49 +0800

## dh-python 4.20190722

=== debian/changelog ===
dh-python (4.20190722) unstable; urgency=medium

  * Build-depend on python3-docutils to build manpages
    (reintroduces circular dependencies problem, but makes Python 2.X removal
    a bit easier) 
  * Use debhelper compat level 12
  * Standards-Version is 4.4.0 now (no changes needed)

 -- Piotr Ożarowski <piotr@debian.org>  Mon, 22 Jul 2019 17:40:36 +0200

## dh-python 4.20190722ubuntu1~cloud0

=== debian/changelog ===
dh-python (4.20190722ubuntu1~cloud0) bionic-train; urgency=medium

  * New update for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Wed, 11 Sep 2019 09:32:26 +0000

dh-python (4.20190722ubuntu1) eoan; urgency=medium

  * Do not force pylint->pylint3 dependency anymore

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 11 Sep 2019 10:31:41 +0200

## dh-python 4.20191017

=== debian/changelog ===
dh-python (4.20191017) unstable; urgency=medium

  * dh_python2: generate python2 dependencies instead of python ones
    (to make "python" package removal a bit easier)
  * generate pylint dependencies instead of pylint3 (Python 3.X files moved to
    new binary package)

 -- Piotr Ożarowski <piotr@debian.org>  Thu, 17 Oct 2019 22:26:10 +0200

## dh-python 4.20191017ubuntu7

=== Makefile ===
--- 
+++ 
@@ -11,6 +11,7 @@
 	find . -name '*.py[co]' -delete
 	find . -name __pycache__ -type d | xargs rm -rf
 	rm -f .coverage $(MANPAGES)
+	rm -rf .pybuild
 
 dist:
 	git archive --format=tar --prefix=dh-python-$(VERSION)/ HEAD \

=== tests/Makefile ===
--- 
+++ 
@@ -4,11 +4,11 @@
 # Note that all these packages have to be installed during tests
 export DEBPYTHON_DEFAULT=2.7
 export DEBPYTHON_SUPPORTED=2.7
-export DEBPYTHON3_DEFAULT=3.7
-export DEBPYTHON3_SUPPORTED=3.5,3.7
+export DEBPYTHON3_DEFAULT=3.8
+export DEBPYTHON3_SUPPORTED=3.8
 
 # enable or disable tests here:
-TESTS := test101 test201 test202 test203 test204 test205 test206 test207 test301 test302 test303 test304
+TESTS := test101 test301 test302 test303 test304
 
 all: $(TESTS)

=== tests/t101/Makefile ===
#!/usr/bin/make -f
include ../common.mk

all: run check

run: clean
	dpkg-buildpackage -b -us -uc

check:
	test -f debian/pypy-foo/usr/lib/pypy/dist-packages/foo.py
	test ! -d debian/pypy-foo/usr/lib/pypy/site-packages
	test ! -d debian/pypy-foo/usr/lib/pypy/dist-packages/__pycache__
	grep -q pypycompile debian/pypy-foo/DEBIAN/postinst
	grep -q pypyclean debian/pypy-foo/DEBIAN/prerm

clean:
	./debian/rules clean

=== tests/t201/Makefile ===
#!/usr/bin/make -f

include ../common.mk
DPY=$(DEBPYTHON_DEFAULT)

check:
	grep -q "Recommends: .*python-mako" debian/python-foo/DEBIAN/control
	#grep -q 'python-foo (>= 2:0.1~rc2)' debian/python-foo/DEBIAN/control
	if [ -x /usr/bin/python2.6 ]; then\
		test -f debian/python-foo/usr/lib/python2.6/dist-packages/foo/__init__.p;\
		test ! -f debian/python-foo/usr/lib/python2.6/dist-packages/foo/spam.py;\
	fi
	grep -qe "Depends: .*python2\(:any\)\? (<<" debian/python-foo/DEBIAN/control
	[ "`readlink debian/python-foo/usr/lib/python$(DPY)/dist-packages/foo/absolute_link_to_tmp`" = "/tmp" ]
	[ "`readlink debian/python-foo/usr/lib/python$(DPY)/dist-packages/foo/link_to_parent_dir`" = ".." ]

clean: clean-common
	rm -rf lib/Foo.egg-info

=== tests/t203/Makefile ===
#!/usr/bin/make -f

include ../common.mk
DPY=$(DEBPYTHON_DEFAULT)
ifeq ($(DPY),2.7) 
TRIPLET=.$(DEB_HOST_MULTIARCH)
endif

check:
	grep -q "pycompile -p python-foo /usr/lib/python-foo -V $(DPY)"\
		debian/python-foo/DEBIAN/postinst
	test -f debian/python-foo/usr/lib/python${DPY}/dist-packages/foo/bar$(TRIPLET).so
	test ! -f debian/python-foo/usr/share/pyshared/foo/bar.so
	test ! -f debian/python-foo/usr/share/pyshared/foo/bar$(TRIPLET).so
	test -f debian/python-foo/usr/lib/python${DPY}/dist-packages/foo/spam$(TRIPLET).so
	test ! -f debian/python-foo/usr/lib/python${DPY}/dist-packages/foo/spam.so.0.1
	test -f debian/python-foo/usr/lib/python${DPY}/dist-packages/foo/baz$(TRIPLET).so
	test ! -f debian/python-foo/usr/lib/python${DPY}/dist-packages/foo/baz.so.0.1
	test ! -f debian/python-foo/usr/lib/python${DPY}/dist-packages/foo/baz.so.0.1.2
	test -f debian/python-foo/usr/lib/python${DPY}/dist-packages/foo/quux$(TRIPLET).so
	test ! -f debian/python-foo/usr/lib/python${DPY}/dist-packages/foo/quux.so.0
	test ! -L debian/python-foo/usr/lib/python${DPY}/dist-packages/foo/quux.so.0
	test ! -f debian/python-foo/usr/lib/python${DPY}/dist-packages/foo/quux.so.0.0.0

clean: clean-common
	rm -rf lib/Foo.egg-info build

=== tests/t302/Makefile ===
#!/usr/bin/make -f
include ../common.mk

all: run check

run: clean
	dpkg-buildpackage -b -us -uc

check:
	grep -q "py3compile -p python3-foo /usr/lib/python3-foo"\
		debian/python3-foo/DEBIAN/postinst
	[ "`find debian/python3-foo/usr/lib/python3/dist-packages/foo -name 'bar.cpython-*.so'`" != "" ]
	# test if moved from include/python3.X/ to include/python3.X/
	test -f debian/python3-foo/usr/include/python$(DEBPYTHON3_DEFAULT)/foo.h

clean:
	./debian/rules clean
	rm -rf lib/Foo.egg-info build

=== tests/t304/Makefile ===
#!/usr/bin/make -f

include ../common.mk
clean: clean-common

check:
	# python3.2 hardcoded via `dh_python3 --shebang ...python3.2`
	grep -q '#! /usr/bin/python3.2 -OO' debian/foo/usr/share/baz32/baz.py
	# python3.4 hardcoded via shebang
	grep -q '/usr/share/foo \-V 3.4' debian/foo/DEBIAN/postinst
	# /env removed from shebang 
	grep -q '#! /usr/bin/python3' debian/foo/usr/share/bar/bar.py
	# /local removed from shebang 
	grep -q '#! /usr/bin/python3' debian/foo/usr/share/foo/baz.py
	grep -q '#! /usr/bin/python3.4' debian/foo/usr/share/foo/foo.py

=== debian/changelog ===
dh-python (4.20191017ubuntu7) focal; urgency=medium

  * Also fix the nosetests.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 23 Feb 2020 17:04:32 +0100

dh-python (4.20191017ubuntu6) focal; urgency=medium

  * Fix autopkg tests with python3.8 only.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 23 Feb 2020 12:26:55 +0100

dh-python (4.20191017ubuntu5) focal; urgency=medium

  * Add dh-python to the autopkg test dependencies.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 30 Jan 2020 09:12:05 +0100

dh-python (4.20191017ubuntu4) focal; urgency=medium

  * Disable the Python2 tests, fix another test.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 17 Jan 2020 15:34:28 +0100

dh-python (4.20191017ubuntu3) focal; urgency=medium

  * Use python2 in the t201 test.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 14 Jan 2020 14:33:03 +0100

dh-python (4.20191017ubuntu2) focal; urgency=medium

  * Fix setting _PYTHON_HOST_PLATFORM.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 07 Jan 2020 11:05:46 +0100

dh-python (4.20191017ubuntu1) focal; urgency=medium

  * dh_python2: Use python2 instead of python.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 18 Oct 2019 17:15:38 +0200

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,16 @@
 Source: dh-python
 Section: python
 Priority: optional
-Maintainer: Mike Purtell <mmikeinsantarosa@mxlinux.org>
-XSBC-Original-Maintainer: Piotr Ożarowski <piotr@debian.org>
+Maintainer: Piotr Ożarowski <piotr@debian.org>
 Uploaders: Stefano Rivera <stefanor@debian.org>
-Build-Depends: debhelper (>= 9), python3-minimal, libpython3-stdlib, libdpkg-perl,
-# provides rst2man command (python3-docutils not used to avoid circular deps):
- python-docutils,
+Build-Depends: debhelper-compat (= 12), python3-minimal, libpython3-stdlib, libdpkg-perl,
+# provides rst2man command (use python-docutils to avoid circular deps):
+ python3-docutils,
 # used by tests: (disabled to avoid circular deps with python3)
 # python3-nose,
 # python3-all, python3-all-dbg, python3-all-dev,
 # python-all, python-all-dbg, python-all-dev
-Standards-Version: 4.3.0
+Standards-Version: 4.4.0
 Vcs-Git: https://salsa.debian.org/python-team/tools/dh-python.git
 Vcs-Browser: https://salsa.debian.org/python-team/tools/dh-python

=== debian/rules ===
#! /usr/bin/make -f

%:
	dh $@

clean:
	make clean
	dh_clean

override_dh_auto_test:
	#make tests
	# FIXME: enable above line once python3 doesn't depend on dh-python anymore
	# (i.e. there are no circular dependencies)

override_dh_auto_install:
	DESTDIR=debian/dh-python PREFIX=/usr make install manpages
	# disable dh_python2 for now (shipped in python-defaults)
	rm debian/dh-python/usr/share/debhelper/autoscripts/postinst-pycompile
	rm debian/dh-python/usr/share/debhelper/autoscripts/prerm-pyclean
	rm debian/dh-python/usr/share/perl5/Debian/Debhelper/Sequence/python2.pm
	# generate maintainer scripts, etc.
	./dh_python3

=== tests/t301/debian/rules ===
#!/usr/bin/make -f
%:
	dh $@ --buildsystem=pybuild

override_dh_auto_install:
	python3 setup.py install --root=debian/python3-foo/

override_dh_install:
	dh_install
	find debian/ -name jquery.js -exec \
	ln -fs /usr/share/javascript/jquery/jquery.js '{}' \;
	DH_VERBOSE=1 ../../dh_python3\
		--depends 'SQLAlchemy >= 0.6.1'\
		--recommends Mako\
		--suggests 'Foo >= 0.1'\
		--suggests 'bar >= 1.0'

clean:
	rm -rf build
	dh clean

override_dh_auto_build:

override_dh_auto_clean:
	#python3 setup.py clean

=== tests/t302/debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 
 %:
-	dh $@ --buildsystem=python_distutils
+	dh $@ --buildsystem=pybuild
 
 override_dh_install:
 	dh_install
@@ -22,5 +22,7 @@
 	for ver in $(PYTHONS); do\
 	  python$$ver setup.py install --root=debian/python3-foo;\
 	done
+	mkdir -p debian/python3-foo/usr/include/python$(DEBPYTHON3_DEFAULT)/
+	touch debian/python3-foo/usr/include/python$(DEBPYTHON3_DEFAULT)/foo.h
 
 override_dh_auto_clean:

=== tests/t304/debian/rules ===
#!/usr/bin/make -f
%:
	dh $@ --buildsystem=pybuild

override_dh_install:
	dh_install
	DH_VERBOSE=1 ../../dh_python3
	DH_VERBOSE=1 ../../dh_python3 /usr/share/bar
	DH_VERBOSE=1 ../../dh_python3 /usr/share/baz32 --shebang '/usr/bin/python3.2 -OO'

clean:
	dh_clean

=== debian/tests/control ===
Tests: dh-python
Depends: python-all-dev, python3-all-dev, python-all-dbg, python3-all-dbg, pypy,
         build-essential, fakeroot, debhelper, libjs-jquery, dh-python

Tests: nosetests
Depends: python3-nose, python-all, python-all-dbg, python3-all, python3-all-dbg, pypy, dh-python
Restrictions: allow-stderr

=== tests/t202/debian/control ===
Source: foo
Section: python
Priority: optional
Maintainer: Piotr Ożarowski <piotr@debian.org>
Build-Depends: debhelper (>= 7.0.50~)
Build-Depends-Indep: python-all
Standards-Version: 3.9.1
XS-Python-Version: >= 2.1

Package: python-foo
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}
Recommends: ${python:Recommends}
Suggests: ${python:Suggests}
Enhances: ${python:Enhances}
Breaks: ${python:Breaks}
Description: foo to rule them all
 exemple package #2

=== tests/t203/debian/control ===
Source: foo
Section: python
Priority: optional
Maintainer: Piotr Ożarowski <piotr@debian.org>
Build-Depends: debhelper (>= 7.0.50~), python-all-dev
Standards-Version: 3.9.1
X-Python-Version: >= 2.6

Package: python-foo
Architecture: any
Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}
Recommends: ${python:Recommends}
Suggests: ${python:Suggests}
Enhances: ${python:Enhances}
Breaks: ${python:Breaks}
Provides: ${python:Provides}
XB-Python-Version: ${python:Versions}
Description: foo to rule them all
 exemple package #3 - Python extension

=== tests/t205/debian/control ===
Source: foo
Section: python
Priority: optional
Maintainer: Piotr Ożarowski <piotr@debian.org>
Build-Depends: debhelper (>= 7.0.50~)
Build-Depends-Indep: python
Standards-Version: 3.9.1

Package: python-foo
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}
Description: example 5 - namespace feature
 exemple package #5 - dropping __init__.py file from binary package and
 recreating it at install time (and removing at in remove time)

=== tests/t206/debian/control ===
Source: foo
Section: misc
Priority: optional
Maintainer: Piotr Ożarowski <piotr@debian.org>
Build-Depends: debhelper (>= 7.0.50~)
Build-Depends-Indep: python
Standards-Version: 3.9.1

Package: foo
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}
Recommends: ${python:Recommends}
Suggests: ${python:Suggests}
Enhances: ${python:Enhances}
Description: example 6 - private directory with hardcoded Python version
 exemple package #6 - private directories that support:
  * python2.4 hardcoded via `dh_python2 -V 2.4`
  * python2.5 due to X-Python-Version: 2.5
  * python2.6 hardcoded via shebang

=== tests/t207/debian/control ===
Source: foo
Section: misc
Priority: optional
Maintainer: Piotr Ożarowski <piotr@debian.org>
Build-Depends: debhelper (>= 7.0.50~)
Build-Depends-Indep: python
Standards-Version: 3.9.3

Package: foo
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}
Description: example 7 - shebangs
 exemple package #7 - shebang related tests

=== tests/t301/debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Piotr Ożarowski <piotr@debian.org>
 Build-Depends: debhelper (>= 7.0.50~), python3-all
 Standards-Version: 3.9.0
-X-Python3-Version: >= 3.1, << 3.7
+X-Python3-Version: >= 3.1, << 3.9
 
 Package: python3-foo
 Architecture: all

=== tests/t303/debian/control ===
Source: foo
Section: python
Priority: optional
Maintainer: Piotr Ożarowski <piotr@debian.org>
Build-Depends: debhelper (>= 7.0.50~), python3-all-dev
Standards-Version: 3.9.1

Package: python3-foo
Architecture: all
Depends: ${python3:Depends}, ${shlibs:Depends}, ${misc:Depends}
Description: package with public Python 3 modules
 exemple package #4 - fix_locations test

## dh-python 4.20191017ubuntu7+9.0trisquel2

=== debian/changelog ===
dh-python (4.20191017ubuntu7+9.0trisquel2) etiona; urgency=medium

  * Backported from Focal; reverted changes for python2 dependencies

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Wed, 16 Dec 2020 00:10:17 +0000

## dh-python 4.20200315~cloud0

=== tests/Makefile ===
--- 
+++ 
@@ -5,10 +5,10 @@
 export DEBPYTHON_DEFAULT=2.7
 export DEBPYTHON_SUPPORTED=2.7
 export DEBPYTHON3_DEFAULT=3.8
-export DEBPYTHON3_SUPPORTED=3.8
+export DEBPYTHON3_SUPPORTED=3.7,3.8
 
 # enable or disable tests here:
-TESTS := test101 test301 test302 test303 test304
+TESTS := test101 test201 test202 test203 test204 test205 test206 test207 test301 test302 test303 test304
 
 all: $(TESTS)

=== debian/changelog ===
dh-python (4.20200315~cloud0) bionic-ussuri; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Mon, 23 Mar 2020 07:40:27 +0000

dh-python (4.20200315) unstable; urgency=medium

  [ Piotr Ożarowski ]
  * Adjust for Python 3.8
    - fix setting _PYTHON_SYSCONFIGDATA_NAME (closes: 948320)
    - update tests (closes: 952122)
  * Add dh-python to Depends in autopkgtest (closes: 947789)
  * pybuild: add support for nose2. Enable by adding python3-nose2 to
    Build-Depends or --test-nose2 option or PYBUILD_TEST_NOSE2=1 env. var.
    (closes: 950912)

  [ Simon Ruggier ]
  * Fix a problem in handling ranges with no minimum
  
  [ Matthias Klose ]
  * Fix setting _PYTHON_HOST_PLATFORM (closes: 948319)

 -- Piotr Ożarowski <piotr@debian.org>  Sun, 15 Mar 2020 20:46:09 +0100

=== debian/tests/control ===
Tests: dh-python
Depends: python-all-dev, python3-all-dev, python-all-dbg, python3-all-dbg, pypy,
         build-essential, fakeroot, debhelper, dh-python, libjs-jquery

Tests: nosetests
Depends: python3-nose, python-all, python-all-dbg, python3-all, python3-all-dbg, pypy,
         dh-python
Restrictions: allow-stderr

## dh-python 4.20200925

=== tests/Makefile ===
--- 
+++ 
@@ -8,7 +8,8 @@
 export DEBPYTHON3_SUPPORTED=3.7,3.8
 
 # enable or disable tests here:
-TESTS := test101 test201 test202 test203 test204 test205 test206 test207 test301 test302 test303 test304
+#TESTS := test101 test201 test202 test203 test204 test205 test206 test207 test301 test302 test303 test304
+TESTS := test101 test301 test302 test303 test304
 
 all: $(TESTS)

=== debian/changelog ===
dh-python (4.20200925) unstable; urgency=medium

  * Add Breaks/Replaces python2 to ease upgrades with python2 (closes: 968046)
  * Disable Python 2.X tests by default (closes: 968193)

 -- Piotr Ożarowski <piotr@debian.org>  Fri, 25 Sep 2020 12:35:52 +0200

dh-python (4.20200804) unstable; urgency=medium

  [ Scott Kitterman ]
  * Add new pybuild plugin to enable flit built packages to build using
    pyproject.toml instead of distutils/setuptools setup.py
  * Update dh-python for removal of python3.7 from supported python3 versions
    (closes: #956190)
    - Drop python3.7 from dhpython/_versions.py supported versions
    - Disable obsolete doctest in dhpython/interpreter.py

  [ Piotr Ożarowski ]
  * pybuild.pm: add support for python2.7 and python2.7-dbg in Build-Depends
    (closes: 949372), note that python2 and python2-dbg are not supported
  * ship Python 2's debhelper files (postinst-pycompile, prerm-pyclean and
    python2.pm) now that python package is no longer available (closes: 966832)
  * Standards-Version is 4.5.0 now (no changes needed)

 -- Piotr Ożarowski <piotr@debian.org>  Tue, 04 Aug 2020 10:10:12 +0200

## dh-python 4.20201102

=== debian/changelog ===
dh-python (4.20201102-1~mx19+1) mx; urgency=medium

  * Initial packaging of upstream release for MX-19.

 -- SwampRabbit <swamprabbit@mxlinux.org>  Tue, 16 Feb 2021 20:13:27 -0500

dh-python (4.20201102) unstable; urgency=medium

  [ Antonio Terceiro ]
  * pybuild's Flit plugin: don't crash on ill-formed pyproject.toml

  [ Piotr Ożarowski ]
  * Remove now deprecated allow_hosts=None from autogenerated .pydistutils.cfg
    file (closes: 97052)
  * Try to build/test other interpreters/versions even if one of them fails to
    make build logs a bit more verbose (closes: 943334)
  * Remove .pytest_cache and .coverage in pybuild's clean step (closes: 967898)
    Custom plugins now invoke Base.clean() as well (i.e. PyTest files,
    build dir and all .pyc files are removed like in other plugins)

 -- Piotr Ożarowski <piotr@debian.org>  Mon, 02 Nov 2020 22:58:27 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: dh-python
 Section: python
 Priority: optional
-Maintainer: Piotr Ożarowski <piotr@debian.org>
+Maintainer: SwampRabbit <swamprabbit@mxlinux.org>
+XSBC-Original-Maintainer: Piotr Ożarowski <piotr@debian.org>
 Uploaders: Stefano Rivera <stefanor@debian.org>
 Build-Depends: debhelper-compat (= 12), python3-minimal, libpython3-stdlib, libdpkg-perl,
 # provides rst2man command (use python-docutils to avoid circular deps):
@@ -10,7 +11,7 @@
 # python3-nose,
 # python3-all, python3-all-dbg, python3-all-dev,
 # python-all, python-all-dbg, python-all-dev
-Standards-Version: 4.4.0
+Standards-Version: 4.5.0
 Vcs-Git: https://salsa.debian.org/python-team/tools/dh-python.git
 Vcs-Browser: https://salsa.debian.org/python-team/tools/dh-python
 
@@ -24,8 +25,11 @@
 Suggests: libdpkg-perl, dpkg-dev
 Breaks:
 # due to /usr/bin/dh_python3 and debhelper files
- python3 (<< 3.3.2-4~)
-Replaces: python3 (<< 3.3.2-4~)
+ python3 (<< 3.3.2-4~),
+# due to /usr/bin/dh_python2 and debhelper files
+ python,
+ python2 (<< 2.7.18-2)
+Replaces: python3 (<< 3.3.2-4~), python (<< 2.7.18-2), python2 (<< 2.7.18-2) 
 Description: Debian helper tools for packaging Python libraries and applications
  This package contains:
   * pybuild - invokes various build systems for requested Python versions in

## dh-python 4.20201102ubuntu4

=== tests/Makefile ===
--- 
+++ 
@@ -4,12 +4,12 @@
 # Note that all these packages have to be installed during tests
 export DEBPYTHON_DEFAULT=2.7
 export DEBPYTHON_SUPPORTED=2.7
-export DEBPYTHON3_DEFAULT=3.8
-export DEBPYTHON3_SUPPORTED=3.7,3.8
+export DEBPYTHON3_DEFAULT=3.9
+export DEBPYTHON3_SUPPORTED=3.9
 
 # enable or disable tests here:
 #TESTS := test101 test201 test202 test203 test204 test205 test206 test207 test301 test302 test303 test304
-TESTS := test101 test301 test302 test303 test304
+TESTS := test101 test302 test303
 
 all: $(TESTS)

=== debian/changelog ===
dh-python (4.20201102ubuntu4) hirsute; urgency=medium

  * Disable the nosetests autopkg test. Unmaintained.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 08 Jan 2021 14:31:39 +0100

dh-python (4.20201102ubuntu3) hirsute; urgency=medium

  * Fix DocTest.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 11 Dec 2020 11:54:33 +0100

dh-python (4.20201102ubuntu2) hirsute; urgency=medium

  * Don't run test t304.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 08 Dec 2020 14:33:04 +0100

dh-python (4.20201102ubuntu1) hirsute; urgency=medium

  * Don't run test t301.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 30 Nov 2020 15:15:54 +0100

=== debian/tests/control ===
Tests: dh-python
Depends: python-all-dev, python3-all-dev, python-all-dbg, python3-all-dbg, pypy,
         build-essential, fakeroot, debhelper, dh-python, libjs-jquery

#Tests: nosetests
#Depends: python3-nose, python-all, python-all-dbg, python3-all, python3-all-dbg, pypy,
#         dh-python, flit
#Restrictions: allow-stderr

## dh-python 4.20201102ubuntu5

=== debian/changelog ===
dh-python (4.20201102ubuntu5) impish; urgency=medium

  * Add support for 2-digit python minor versions (3.10). Parse sonames and
    generate dependencies, correctly. (LP: #1946971)

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 13 Oct 2021 12:26:39 +0000
